-->
NvRules API (PDF) - v2021.2.2 (older) - Last updated September 2, 2021 - Send Feedback -

## 1. Modules

Here is a list of all modules:

- NvRules non-member functions.
- NvRules Python garbage-collected classes.
- NvRules Tool lifetime-managed classes.

### 1.1. NvRules non-member functions.

#### Functions

IContext* NV::Rules::get_context ( ContextHandle h )
  Converts the context handle.
IEvaluator* NV::Rules::get_evaluator ( ContextHandle h )
  Returns the evaluator object.
void NV::Rules::raise_exception ( IBaseContext* h, const char* msg )
  Raises a python exception.

#### Functions

IContext* NV::Rules::get_context ( ContextHandle h )
  Converts the context handle.

  ###### Description

  Converts the context handle `h` to an IContext object

IEvaluator* NV::Rules::get_evaluator ( ContextHandle h )
  Returns the evaluator object.

  ###### Description

  Return the IEvaluator object from the context handle `h`

void NV::Rules::raise_exception ( IBaseContext* h, const char* msg )
  Raises a python exception.

  ###### Description

  Raise a python exception with `msg`. This will terminate the script execution, if the context does not chose to mask the exception

### 1.2. NvRules Python garbage-collected classes.

#### Classes

class
NV::Rules::IAction
  Action interface.
class
NV::Rules::IMetric
  Metric interface.
class
NV::Rules::INvtxDomainInfo
  NvtxDomainInfo interface.
class
NV::Rules::INvtxRange
  NvtxRange interface.
class
NV::Rules::INvtxState
  NvtxState interface.
class
NV::Rules::IRange
  Range interface.
class
NV::Rules::ISourceInfo
  SourceInfo interface.

### 1.3. NvRules Tool lifetime-managed classes.

#### Classes

class
NV::Rules::IContext
  Context interface.
class
NV::Rules::IController
  Controller interface.
class
NV::Rules::IEvaluator
  Evaluator interface.
class
NV::Rules::IFrontend
  Frontend interface.